# $Id$

Name:           perl-Net-XMPP
Version:        1.0
Release:        5%{?dist}
Summary:        Net::XMPP - perl XMPP library

Group:          Development/Libraries
License:        GPL or Artistic or LGPL
URL:            http://search.cpan.org/dist/Net-XMPP/
Source0:        http://search.cpan.org/CPAN/authors/id/R/RE/REATMON/Net-XMPP-%{version}.tar.gz 
Source1:        LICENSING.correspondance
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch 
BuildRequires:  perl, perl(XML::Stream), perl(Digest::SHA1)
        
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Net::XMPP provides a Perl user with access to the Extensible
Messaging and Presence Protocol (XMPP).

For more information about XMPP visit:

     http://www.xmpp.org

%prep
%setup -q -n Net-XMPP-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

cp %{SOURCE1} .

# generate our other two licenses...
perldoc perlgpl > LICENSE.GPL
perldoc perlartistic > LICENSE.Artistic


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*


#% check
#make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README CHANGES examples LICENSE.* LICENSING.*
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Sun May 28 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.0-5
- disable test suite, per review.

* Thu May 25 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.0-4
- include license text, including generated ones
- include correspondance with the module's author

* Wed May 24 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.0-3
- update license to triple licensed, based on conversations with upstream

* Mon May 15 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.0-2
- include additional files as docs

* Fri May 12 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.0-1
- first f-e spec.
  
